html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	background: transparent;
}
ins {
	text-decoration: none;
}
del {
	text-decoration: line-through;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
strong {
	font-weight: 600;
}

*, *:after, *:before {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}



::selection {
	background: var(--brand);
	color: var(--white);
	text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.2);
}

::-moz-selection {
	background: var(--brand);
	color: var(--white);
	text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.2);
}

html, body {
	width: 100%;
	min-height: 100%;
	background: var(--brand);
	-webkit-text-size-adjust: none;
}

html, body, textarea, input, button, select {
	font-size: 18px;
	font-family: 'Montserrat', sans-serif;
	color: var(--brand2);
	outline: 0px;
}

input[type=text], input[type=email], input[type=search], input[type=submit], textarea{
	-webkit-appearance: none;
} 

body {
	-webkit-overflow-scrolling: touch;
}

ul { 
	padding-left: 40px; 
	list-style: disc outside;
	margin-top: 1em;
	margin-bottom: 1em;
}

ol { 
	padding-left: 40px;
	list-style: decimal outside;
	margin-top: 1em;
	margin-bottom: 1em;
}

img {
	max-width: 100%;
	height: auto;
	border: 0px;
	vertical-align: bottom;
}

a {
	color: var(--brand2);
	text-decoration: none;
}

@media(hover) {
	a:hover, .link:hover {
		color: var(--white);
	}
}

.clr::after {
	content: '';
	display: block;
	clear: both;
}

ul.noli, ul.noli ul, ul.noli li {
	display: block;
	margin: 0px;
	padding: 0px;
	list-style: none;
}

.wrapper {
	display: block;
	position: relative;
	margin: 0px auto;
	max-width: 1320px;
	width: calc(100% - 40px);
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}

h1, h2, h3 {
	display: block;
	font-weight: 500;
	margin: 0px 0px 30px 0px;
}

h1 {
	font-size: 48px;
	font-weight: 600;
}

h2 {
	font-size: 48px;
}

body {
	min-height: 100vh;
}

header {
	display: flex;
	min-height: 80px;
	justify-content: space-between;
	align-items: center;
	position: relative;
	margin: 0 0 30px;
}

header> .nav {
	display: flex;
	position: RELATIVE;
	flex-wrap: wrap;
}

header> .nav> a {
	display: block;
	font-size: 20px;
	margin: 0 20px 0 0;
}

header> .nav> a:last-child {
	margin: 0;
}

@media(hover) {
	header> .nav> a:hover {
		color: var(--white);
	}
}

section.content {
	position: relative;
	flex-grow: 1;
	padding: 0 0 50px;
	display: FLEX;
	flex-direction: COLUMN;
}

.middle {
	justify-content: center;
}

.align-center {
	align-items: center;
}


form.auth {
	display: FLEX;
	flex-direction: column;
	position: relative;
	width: 100%;
	max-width: 390px;
}

input.ui {
	width: 100%;
	height: 64px;
	margin: 0 0 15px;
	border-radius: 20px;
	border: 1px solid var(--brand2);
	background: var(--brand1);
	padding: 0 20px;
	font-size: 20px;
	font-weight: 500;
	color: var(--brand2);
}

input.ui::placeholder {
	color: var(--brand2);
}

button.ui, a.ui {
	display: flex;
	height: 64px;
	align-items: center;
	justify-content: center;
	padding: 0 20px;
	background: var(--brand2);
	color: var(--brand);
	font-size: 20px;
	font-weight: 600;
	border: 0;
	cursor: pointer;
	border-radius: 20px;
}

form.auth button.ui {
	margin: 0 auto;
	min-width: 180px;
}

@media(hover) {
	button.ui:hover, a.ui:hover {
		filter: opacity(0.8);
	}
}

.error {
	display: block;
	position: relative;
	margin: 0 0 30px;
	padding: 20px;
	background: #ff000014;
	border-radius: 20px;
	color: var(--white);
}

.ptitle> a svg path {
	stroke: var(--brand2) !important;
}

.resultsBlock> .resItem> .date> svg path {
	fill: var(--brand);
}



form.addrasp {
	display: flex;
	flex-direction: column;
	width: 100%;
	max-width: 650px;
}

.filetext {
	display: flex;
	position: relative;
	margin: 0 0 30px;
}

.fileposit {
	display: block;
	position: RELATIVE;
	overflow: hidden;
	width: 110px;
	margin: 0 10px 0 0;
	min-width: max-content;
}

.fileposit> input {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	z-index: 3;
	cursor: pointer;
}

.textposit {
	display: BLOCK;
	flex-grow: 1;
	position: relative;
	height: 64px;
	border-radius: 20px;
	border: 1px solid var(--brand2);
	display: flex;
	align-items: center;
	text-align: left;
	padding: 0 40px 0 20px;
	font-size: 16px;
	max-width: calc(100% - 120px);
}

a.remfile {
	display: none;
	position: absolute;
	right: 15px;
}

a.remfile svg {
	vertical-align: middle;
}

@media(hover) {
	a.remfile:hover {
		filter: opacity(0.8);
	}
}

.textposit> span {
	display: block;
	position: relative;
	padding: 10px 0;
	overflow-y: hidden;
	overflow-x: overlay;
	white-space: nowrap;
}

::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}

::-webkit-scrollbar-thumb {
  background: rgba(90, 90, 90);
}

::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.2);
}

.fileposit> span {
	display: flex;
	width: 100%;
	height: 100%;
	border-radius: 20px;
	border: 1px solid var(--brand2);
	align-items: center;
	justify-content: center;
	font-size: 18px;
	font-weight: 500;
}

@media(hover) {
	.fileposit:hover> span {
		filter: opacity(0.7);
	}
}

.fileinfo {
	display: block;
	position: relative;
	margin: 0 0 30px;
}

button.ui.outline, a.ui.outline {
	background: transparent;
	color: var(--brand2);
	border: 1px solid var(--brand2);
}

form.addrasp button.ui.outline, form.addrasp a.ui.outline {
	margin: 0px auto;
	min-width: 180px;
}

.resultInfo {
	display: BLOCK;
	position: relative;
	padding: 30px 0 0;
	text-align: center;
	width: 100%;
	max-width: 650px;
}

.resultItems {
	display: flex;
	flex-direction: column;
	position: relative;
	margin: 40px 0 0;
}

.resultItems> form.item {
	display: flex;
	flex-direction: column;
	position: relative;
	margin: 0 0 50px;
}

.resultItems> form.item:last-child {
	margin: 0;
}

.resultItems> form.item> .buttons {
	display: flex;
	align-items: CENTER;
	margin: 20px 0 0;
}

.resultItems> form.item> .buttons> button.ui {
	margin: 0 20px 0 0;
}










form.get {
	display: flex;
	position: relative;
	margin: 0 0 50px;
	flex-direction: column;
	align-items: flex-start;
}

form.get:last-child {
	margin: 0;
}

.uselect {
	display: flex;
	position: relative;
	flex-direction: column;
	width: 100%;
}

.uselect> a {
	display: flex;
	border-radius: 20px;
	border: 1px solid var(--brand2);
	height: 64px;
	margin: 0 0 25px;
	align-items: center;
	font-family: Montserrat;
	font-size: 20px;
	font-style: normal;
	font-weight: 600;
	padding: 0 50px 0 20px;
	position: relative;
}

.uselect> .hidden {
	display: none;
	border-radius: 20px;
	border: 1px solid var(--brand2);
	padding: 10px 20px;
	margin: -15px 0 25px;
}

.uselect> .hidden input.ui.jsearch {
	margin: 10px 0 15px;
}

.uselect> a> svg {
	transition: all 0.15s;
	position: absolute;
	right: 20px;
	width: 20px;
	height: 20px;
}

input#datepicker {
	max-width: 320px;
	height: 45px;
	border-radius: 10px;
	margin: 10px 0 15px;
	font-size: 15px;
	padding: 0 15px;
}

.uselect.active> a> svg {
	transform: scale(1, -1);
}

.uselect> .hidden> ul {
	display: flex;
	flex-direction: column;
	position: relative;
	max-height: 300px;
	overflow-x: hidden;
	overflow-y: overlay;
}

.uselect> .hidden> ul> li {
	display: block;
	position: relative;
}

.uselect> .hidden> ul> li> label {
	display: block;
	position: relative;
	cursor: pointer;
}

.uselect> .hidden> ul> li input[type="radio"] {
	display: none;
}

.uselect> .hidden> ul> li span {
	display: BLOCK;
	padding: 10px 0;
	transition: all 0.15s;
}

.uselect> .hidden> ul> li input:checked + span {
	color: var(--white);
}

@media(hover) {
	.uselect> .hidden> ul> li span:hover {
		color: var(--white);
	}
}


.ptitle {
	display: flex;
	justify-content: space-between;
	position: relative;
	align-items: center;
	margin: 0 0 30px;
}

.ptitle> a {
	margin: 0 0 0 15px;
	min-width: max-content;
	display: flex;
	align-items: center;
	font-family: Montserrat;
	font-size: 20px;
	font-style: normal;
	font-weight: 800;
}

.ptitle> h1 {
	margin: 0;
}

.ptitle> a> span {
	margin: 0 0 0 10px;
}

.resultsBlock {
	display: flex;
	flex-direction: column;
	position: relative;
}

.resultsBlock> .resItem {
	display: flex;
	flex-direction: column;
	position: relative;
	width: 100%;
	margin: 0 0 30px;
	padding: 30px;
	border-radius: 20px;
	background: var(--brand2);
	color: var(--brand);
}

.resultsBlock> .resItem:last-child {
	margin: 0;
}

.resultsBlock> .resItem> .top1 {
	display: FLEX;
	justify-content: space-between;
	position: relative;
	margin: 0 0 10px;
	align-items: center;
}

.resultsBlock> .resItem> .top1> span {
	min-width: max-content;
	display: block;
	position: relative;
	padding: 0 0 0 20px;
}

.resultsBlock> .resItem> .top1> b {
	display: BLOCK;
	font-size: 32px;
	font-style: normal;
	font-weight: 800;
}

.resultsBlock> .resItem> .date {
	display: flex;
	align-items: center;
	margin: 0 0 30px;
	font-size: 34px;
	font-style: normal;
	font-weight: 500;
}

.resultsBlock> .resItem> .date> svg {
	margin: 0 15px 0 0;
}

.resultsBlock> .resItem> h3 {
	font-size: 32px;
	font-style: normal;
	font-weight: 700;
	margin: 0 0 5px;
}

.resultsBlock> .resItem> .instructor_name {
	display: block;
	margin: 0 0 20px;
	font-size: 24px;
	font-style: normal;
	font-weight: 500;
}

.resultsBlock> .resItem> .bottom {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.resultsBlock> .resItem> .bottom> span {
	min-width: max-content;
	padding: 0 0 0 20px;
	font-size: 24px;
	font-style: normal;
	font-weight: 600;
}

.resultsBlock> .resItem> .bottom> b {
	font-size: 24px;
	font-style: normal;
	font-weight: 600;
}

.themeswitcher {
	display: flex;
	align-items: center;
	position: relative;
}

.themeswitcher> a {
	display: block;
	margin: 0 15px 0 0;
}

.themeswitcher> a:last-child {
	margin: 0;
}

.themeswitcher> a> svg {
	height: auto;
	width: 34px;
}

.themeswitcher> a> svg path {
	fill: #ffe4bd;
	transition: all 0.15s;
	filter: opacity(0.5);
}

.themeswitcher> a.active> svg path {
	fill: var(--white);
	filter: opacity(1);
}

@media(hover) {
	.themeswitcher> a:not(.active):hover> svg path {
		filter: opacity(0.7);
	}
}




.removeRasp {
	display: flex;
	align-items: center;
	width: 100%;
	max-width: 650px;
	justify-content: center;
	margin: 0 0 30px;
}

.removeRasp> a {
	display: block;
	font-size: 18px;
	font-weight: 500;
	margin: 0 15px;
	border-bottom: 1px dotted transparent;
}

@media(hover) {
	.removeRasp> a:hover {
		border-bottom-color: var(--brand2);
	}
}

form.removeDayForm {
	display: none;
	width: 100%;
	max-width: 650px;
	margin: 0 0 30px;
	padding: 0 0 15px;
}

form.removeDayForm> button {
	margin: 0 0 0 15px;
	min-width: 160px;
}

.error.deleteSuccess {
	width: 100%;
	max-width: 650px;
	background-color: rgb(255 255 255 / 20%);
	display: none;
}


.resultItems.deisAll {
	display: none;
	flex-direction: row;
}

.resultItems.deisAll button {
	margin: 0 15px;
	font-size: 15px;
	height: 54px;
}




@media screen and (max-width: 768px) {
	header> .nav> a {
		font-size: 16px;
	}

	header {
		min-height: 60px;
		margin: 0 0 20px;
	}

	h1, h2 {
		font-size: 24px;
		margin: 0 0 20px;
	}

	.uselect> a {
		height: 54px;
		border-radius: 10px;
		font-size: 16px;
		font-weight: 500;
		padding: 0 45px 0 15px;
	}

	.uselect> a> svg {
		right: 15px;
		width: 16px;
		height: 16px;
	}

	.uselect> .hidden {
		border-radius: 10px;
		padding: 10px 15px;
	}

	input.ui {
		height: 54px;
		border-radius: 10px;
		padding: 0 15px;
		font-size: 16px;
		font-weight: 500;
	}

	.uselect> .hidden> ul> li span {
		font-size: 16px;
	}

	button.ui, a.ui {
		height: 54px;
		border-radius: 10px;
		padding: 0 15px;
		font-size: 16px;
	}

	.ptitle> a {
		font-size: 16px;
		font-weight: 500;
	}

	.ptitle> a> svg {
		height: auto;
		width: 20px;
	}

	.resultsBlock> .resItem {
		border-radius: 10px;
		padding: 15px;
		margin: 0 0 20px;
	}

	.resultsBlock> .resItem:last-child {
		margin: 0;
	}

	.resultsBlock> .resItem> .top1> b {
		font-size: 18px;
	}

	.resultsBlock> .resItem> .top1> span {
		font-size: 15px;
	}

	.resultsBlock> .resItem> .date {
		font-size: 16px;
		margin: 0 0 20px;
	}

	.resultsBlock> .resItem> .date> svg {
		margin: 0 5px 0 0;
		height: auto;
		width: 16px;
	}

	.resultsBlock> .resItem> h3 {
		font-size: 22px;
	}

	.resultsBlock> .resItem> .instructor_name {
		font-size: 18px;
	}

	.resultsBlock> .resItem> .bottom> b {
		font-size: 15px;
	}

	.resultsBlock> .resItem> .bottom> span {
		font-size: 14px;
	}
}